# Uses of Interface
org.eclipse.team.core.mapping.ISynchronizationScopeManager

Packages that use ISynchronizationScopeManager
Package
Description
org.eclipse.team.core.mapping.provider
Application programming interfaces for working with resource mappings.
org.eclipse.team.core.subscribers
Application programming interfaces for generating and refreshing synchronization state.
org.eclipse.team.ui.synchronize
Contains the team synchronization presentation framework and support for the Synchronize View.

## Uses of ISynchronizationScopeManager in org.eclipse.team.core.mapping.provider

Classes in org.eclipse.team.core.mapping.provider that implement ISynchronizationScopeManager
Modifier and Type
Class
Description
`class`
`SynchronizationScopeManager`
Class for translating a set of `ResourceMapping` objects representing a view selection into the complete set of resources to be operated on.
Methods in org.eclipse.team.core.mapping.provider that return ISynchronizationScopeManager
Modifier and Type
Method
Description
`ISynchronizationScopeManager`
SynchronizationContext.`getScopeManager()`
Return the scope manager for the scope of this context.
Constructors in org.eclipse.team.core.mapping.provider with parameters of type ISynchronizationScopeManager
Modifier
Constructor
Description
`protected`
`MergeContext(ISynchronizationScopeManager manager, int type, IResourceDiffTree deltaTree)`
Create a merge context.
`protected`
`SynchronizationContext(ISynchronizationScopeManager manager, int type, IResourceDiffTree diffTree)`
Create a synchronization context.

## Uses of ISynchronizationScopeManager in org.eclipse.team.core.subscribers

Classes in org.eclipse.team.core.subscribers that implement ISynchronizationScopeManager
Modifier and Type
Class
Description
`class`
`SubscriberScopeManager`
A `ISynchronizationScopeManager` that uses a `Subscriber` to provide a `RemoteResourceMappingContext` and to notify participants when the remote state of resources change.
Constructors in org.eclipse.team.core.subscribers with parameters of type ISynchronizationScopeManager
Modifier
Constructor
Description
`protected`
`SubscriberMergeContext(Subscriber subscriber, ISynchronizationScopeManager manager)`
Create a merge context for the given subscriber

## Uses of ISynchronizationScopeManager in org.eclipse.team.ui.synchronize

Methods in org.eclipse.team.ui.synchronize that return ISynchronizationScopeManager
Modifier and Type
Method
Description
`protected ISynchronizationScopeManager`
ModelSynchronizeParticipant.`createScopeManager(ResourceMapping[] mappings)`
Create and return a scope manager that can be used to build the scope of this participant when it is restored after a restart.
`protected ISynchronizationScopeManager`
ModelOperation.`getScopeManager()`
Return the scope manager for this operation.
Methods in org.eclipse.team.ui.synchronize with parameters of type ISynchronizationScopeManager
Modifier and Type
Method
Description
`protected MergeContext`
ModelSynchronizeParticipant.`restoreContext(ISynchronizationScopeManager manager)`
Recreate the context for this participant.
Constructors in org.eclipse.team.ui.synchronize with parameters of type ISynchronizationScopeManager
Modifier
Constructor
Description
`protected`
`ModelMergeOperation(IWorkbenchPart part, ISynchronizationScopeManager manager)`
Create a model merge operation.
`protected`
`ModelOperation(IWorkbenchPart part, ISynchronizationScopeManager manager)`
Create a model operation that operates on the given scope.
`protected`
`ModelParticipantMergeOperation(IWorkbenchPart part, ISynchronizationScopeManager manager)`
Create a merge participant operation for the scope of the given manager.